---
title: Running test against ipf-test.arbetsformedlingen.se
gitlaburl: https://gitlab.com/arbetsformedlingen/individdata/axa-pilot/af-connect-services-backend/-/blob/main//README.md
gitdir: /arbetsformedlingen/individdata/axa-pilot/af-connect-services-backend
gitdir-file-path: /README.md
date: '2023-11-10 16:30:04'
path: /arbetsformedlingen/individdata/axa-pilot/af-connect-services-backend/README.md
tags:
- README.md
---
### Running test against ipf-test.arbetsformedlingen.se
If you have not installed the ipf-test.arbetsformedlingen.se certificate chain into the Java keystore, follow the instructions below

1. Download CA certificate from the server

```bash
echo quit | openssl s_client -showcerts -servername ipf-test.arbetsformedlingen.se -connect ipf-test.arbetsformedlingen.se:443 > ipftest_cacert.pem 
```

2. Find the path to the cacerts file in your Java installation. (`<JAVA_HOME>/lib/security/cacerts`)

```bash
sudo keytool -import -alias ipf-test -file ipftest_cacert.pem -keystore <cacerts file>
```

### Test the connection to the arbetssökande-api with

```bash
curl --cacert ipftest_cacert.pem -v\
  -H "AF-TrackingId: cecc6c34-d5a0-431e-b190-2ec45a4261e6"\
  -H "AF-SystemId: IPF"\
  -H "AF-EndUserId: mydat"\
  -H "AF-Environment: T1"\
  "https://ipf-test.arbetsformedlingen.se/ais-f-arbetssokande/v1/arbetssokande/sok?client_id=a5b2869a20d94c0e9b66d09bd4d39fac&client_secret=<secret>&Personnummer=199010102383"
```
Ask someone in the team for the secret...

### Start local server with
```
mvn spring-boot:run -Dspring-boot.run.profiles=local
```
### Code coverage

Code coverage reports can be generated by using the Maven JaCoCo plugin:
```
mvn clean jacoco:prepare-agent install jacoco:report
```
Open the report in a browser with:
```
open target/site/jacoco/index.html
```

